
<?php include 'createClientToken.php';?>
<!-- 
 /////////////////// DISCLAIMER ///////////////////////////
 THIS EXAMPLE CODE IS PROVIDED TO YOU ONLY ON AN "AS IS"
 BASIS WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION
 ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT,
 MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 PAYPAL MAKES NO WARRANTY THAT THE SOFTWARE OR
 DOCUMENTATION WILL BE ERROR-FREE. IN NO EVENT SHALL THE
 COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ////////////////////////////////////////////////////////////
 */
  -->
<!DOCTYPE html>

<head>
    <!-- Add meta tags for mobile and IE -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
     
    
<!--     <script src="https://www.paypal.com/sdk/js?client-id=AcNEYyp4KIYuTLS9KOsZr9Ua0Gi2c4p5dOSfSnoYTL9ZgdpNyNEvTE6LaF60Xy89BkMGFFMw4HxSb5Tf&currency=GBP"></script> -->
    <script src="https://www.paypal.com/sdk/js?components=hosted-fields,buttons&client-id=AXNy0hxCunzFJ4dUujHxAriwIcyWRpLn-Sah7krltWpB5ZJMWSZuQsjygjTg8mlX4XT0MnXu9eGn2oUE&currency=GBP" data-client-token='<?=$clientToken?>'></script>
     
</head>

<body>

	<form id="my-sample-form">
		<label for="card-number">Card Number</label>
		<div id="card-number"></div>
		<label for="expiration-date">Expiration Date</label>
		<div id="expiration-date"></div>
		<label for="cvv">CVV</label>
		<div id="cvv"></div>
		<button value="submit" id="submit" class="btn">Pay with Card</button>
	</form>


	<!-- Set up a container element for the button -->
    <div id="paypal-button-container"></div>

    <!-- Include the PayPal JavaScript SDK -->
    <!-- Add 'intent=authorize' if you only want to authorize the payment -->
  
    <script>
        // Render the PayPal button into #paypal-button-container
        paypal.Buttons({

            // Set up the transaction
            createOrder: function(data, actions) {
                //Setup path to create order file
                return fetch('http://localhost/Sample_REST_UCC_Auth_Cap/createOrder.php', {
                    method: 'post'
                }).then(function(res) {
                    return res.json();
                }).then(function(data) {
                    return data.id;
                });
            },

         

            // Finalize the transaction
            onApprove: function(data, actions) {
                //Change to authorizePaymentForOrder if you only want to authorize the payment
                return fetch('http://localhost/Sample_REST_UCC_Auth_Cap/capturePaymentForOrder.php', {
                    method: 'post'
                }).then(function(res) {
                    return res.json();
                }).then(function(details) {
                    // Show a success message to the buyer
                    alert('Transaction completed by ' + details.payer.name.given_name + '!');

                    //Once payment is complete show the order details
                    //window.location.replace("http://localhost/Sample_REST_UCC_Auth_Cap/showOrderDetails.php");

                    //Once payment is complete capture the authorization
                    window.location.replace("http://localhost/Sample_REST_UCC_Auth_Cap/captureAuthorizedPayment.php");
                });
            },

            onCancel: function (data) {
                alert("USER CANCELLED");
              }


        }).render('#paypal-button-container');
    </script>
    
    <script>
 // Check if card fields are eligible to render for the buyer's country. The card fields are not eligible in all countries where buyers are located.
    if (paypal.HostedFields.isEligible() === true) {
      paypal.HostedFields.render({
        createOrder: function (data, actions) {
          return fetch('http://localhost/Sample_REST_UCC_Auth_Cap/createOrder.php', {
              method: 'POST'
          }).then(function(res) {
              return res.json();
          }).then(function(data) {
              return data.id;
          });
        },
        styles: {
            'input': {
                'font-size': '14px',
                'font-family': 'Product Sans',
                'color': '#3a3a3a'
            },
            ':focus': {
                'color': 'black'
            }
        },
        fields: {
            number: {
                selector: '#card-number',
                placeholder: 'Credit Card Number',
            },
            cvv: {
                selector: '#cvv',
                placeholder: 'CVV',
            },
            expirationDate: {
                selector: '#expiration-date',
                placeholder: 'MM/YYYY',
            }
        }
      }).then(hostedFields => {
        document.querySelector('#my-sample-form').addEventListener('submit', event => {
          event.preventDefault();
          hostedFields.submit().then(payload => {
            return fetch('capturePaymentForOrder.php/' + payload.orderId, {
              method: 'POST'
            }).then(response => {
              if (!response.ok) {
                alert('Something went wrong');
                console.log(response);
              }
              else
              {
				alert("Transaction Complete");
              }
            });
          });
        });
      });
    }
    </script>
</body>